tcltkip Struct Reference

## Data Fields

Tcl_Interp * | ip
int | has_orig_exit
Tcl_CmdInfo | orig_exit_info
int | ref_count
int | allow_ruby_exit
int | return_value

## Detailed Description

Definition at line 750 of file tcltklib.c.

## Field Documentation

int tcltkip::allow_ruby_exit

Definition at line 761 of file tcltklib.c.

Referenced by ip_allow_ruby_exit_p(), ip_allow_ruby_exit_set(), ip_create_slave_core(), ip_init(), and ip_make_safe_core().

int tcltkip::has_orig_exit

Definition at line 758 of file tcltklib.c.

Referenced by ip_create_slave_core(), and ip_init().

Tcl_Interp* tcltkip::ip

Definition at line 751 of file tcltklib.c.

Referenced by create_ip_exc(), get_ip(), invoke_tcl_proc(), ip_allow_ruby_exit_set(), ip_create_console_core(), ip_create_slave(), ip_create_slave_core(), ip_delete(), ip_eval_real(), ip_evloop_abort_on_exc_set(), ip_get_variable2_core(), ip_has_invalid_namespace_p(), ip_has_mainwindow_p_core(), ip_init(), ip_invoke_core(), ip_invoke_real(), ip_is_safe_p(), ip_mainloop(), ip_mainloop_watchdog(), ip_make_menu_embeddable_core(), ip_make_safe_core(), ip_restart(), ip_set_eventloop_tick(), ip_set_eventloop_weight(), ip_set_no_event_wait(), ip_set_variable2_core(), ip_unset_variable2_core(), lib_do_one_event_core(), lib_fromUTF8_core(), lib_restart_core(), lib_split_tklist_core(), lib_toUTF8_core(), and tcltkip_init_tk().

Tcl_CmdInfo tcltkip::orig_exit_info

Definition at line 759 of file tcltklib.c.

Referenced by ip_create_slave_core(), and ip_init().

int tcltkip::ref_count

Definition at line 760 of file tcltklib.c.

Referenced by ip_create_slave_core(), ip_init(), rbtk_preserve_ip(), and rbtk_release_ip().

int tcltkip::return_value

Definition at line 762 of file tcltklib.c.

Referenced by invoke_tcl_proc(), ip_create_slave_core(), ip_eval_real(), ip_init(), ip_invoke_core(), ip_retval(), ip_unset_variable2_core(), and lib_restart_core().

The documentation for this struct was generated from the following file:

- ext/tk/tcltklib.c